## GstAtomicQueue GstAtomicQueue |

## Functions

GstAtomicQueue * | gst_atomic_queue_new ()
void | gst_atomic_queue_ref ()
void | gst_atomic_queue_unref ()
void | gst_atomic_queue_push ()
gpointer | gst_atomic_queue_peek ()
gpointer | gst_atomic_queue_pop ()
guint | gst_atomic_queue_length ()

## Types and Values

| GstAtomicQueue

## Includes

    #include <gst/gst.h>

## Description

## Functions

### gst_atomic_queue_new ()

    GstAtomicQueue *
    gst_atomic_queue_new (guint initial_size);

### gst_atomic_queue_ref ()

    void
    gst_atomic_queue_ref (GstAtomicQueue *queue);

### gst_atomic_queue_unref ()

    void
    gst_atomic_queue_unref (GstAtomicQueue *queue);

### gst_atomic_queue_push ()

    void
    gst_atomic_queue_push (GstAtomicQueue *queue,
                           gpointer data);

### gst_atomic_queue_peek ()

    gpointer
    gst_atomic_queue_peek (GstAtomicQueue *queue);

### gst_atomic_queue_pop ()

    gpointer
    gst_atomic_queue_pop (GstAtomicQueue *queue);

### gst_atomic_queue_length ()

    guint
    gst_atomic_queue_length (GstAtomicQueue *queue);

## Types and Values

### GstAtomicQueue

    typedef struct _GstAtomicQueue GstAtomicQueue;